Bug 68473 - UI: cannot select whole line by dragging mouse if the line starts with an object anchored as character
Summary: UI: cannot select whole line by dragging mouse if the line starts with an obj...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Selection
  Show dependency treegraph
 
Reported: 2013-08-23 10:04 UTC by Mike Kaganski
Modified: 2021-05-04 03:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Drag mouse test case - unable to select third line (12.05 KB, application/vnd.oasis.opendocument.text)
2013-08-23 10:04 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2013-08-23 10:04:36 UTC
Created attachment 84506 [details]
Drag mouse test case - unable to select third line

The bug is best described by the attached testcase. In that file, if you try to select the third line (the one just below the table, that starts with a simple formula object) by dragging mouse over the line, you will be unable to do so, unless you also select the table above. The starting formula refuses to be selected by dragging mouse. Yet, the triple-click selection works OK, as well as selecting by keyboard.

Tested with LO 3.0.0-4.1.0.4 and AOO 4.0.0 under Win7x64. Must be an inherited bug.
Comment 1 Jorendc 2013-11-19 18:23:21 UTC
Thanks (once again ;-) )!

I can reproduce tested using Mac OSX 10.9 and LibreOffice Version: 4.2.0.0.alpha1+
Build ID: 9c45345a680f7444df251f9403c7d56572380f21 TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2013-11-18_12:43:03

Kind regards,
Joren
Comment 2 QA Administrators 2015-04-19 03:22:41 UTC Comment hidden (obsolete)
Comment 3 Mike Kaganski 2015-04-19 05:25:06 UTC
Still reproducible with Version: 4.4.3.1
Build ID: b2f347f2ac68821efc00b6f1793cda90af748118
Locale: ru_RU
under Win7x64
Comment 4 QA Administrators 2016-09-20 09:24:58 UTC Comment hidden (obsolete)
Comment 5 Mike Kaganski 2016-09-20 15:34:48 UTC
Still reproducible with Version: 5.2.2.1 (x64)
Build ID: 3c2231d4aa4c68281f28ad35a100c092cff84f5d
Comment 6 Xisco Faulí 2017-09-29 08:52:38 UTC Comment hidden (obsolete)
Comment 7 Tony Chou 2018-11-29 08:57:25 UTC
Reproduced

Still exists in version

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 0f25a3c36f27fd51453b9a9115f236b83c143684
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-27_20:06:55
Locale: zh-TW (zh_TW); UI-Language: en-US
Calc: threaded
Comment 8 QA Administrators 2021-05-04 03:46:03 UTC
Dear Mike Kaganski,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug